Tweets
Tweet Retweeters
Fetch the list of users who reposted (retweeted) a given Twitter/X tweet. $0.001 per call, ~20 users per page. GetXAPI tweet retweeters endpoint.
GET
/twitter/tweet/retweetersThis endpoint costs $0.001 per API call and returns ~20 users per page.
Returns the list of users who reposted (retweeted) the given tweet. Pool-based read — no customer auth_token needed.
Query Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
id | string | Yes | Tweet ID whose retweeters to fetch (numeric) |
cursor | string | No | Pagination cursor from a previous response |
Notes
- Returns ~20 users per page.
- Paginate by passing
next_cursorfrom the previous response untilhas_moreisfalse.
Response (200)
{
"tweetId": "2059393717111308634",
"user_count": 95,
"has_more": true,
"next_cursor": "eyJpZCI6...",
"users": [
{
"type": "user",
"id": "50115087",
"userName": "NASAJohnson",
"name": "NASA's Johnson Space Center",
"url": "https://x.com/NASAJohnson",
"isVerified": false,
"isBlueVerified": true,
"profilePicture": "https://pbs.twimg.com/profile_images/..._400x400.jpg",
"coverPicture": "https://pbs.twimg.com/profile_banners/...",
"description": "NASA's center for human spaceflight.",
"location": "Houston, TX",
"followers": 2254727,
"following": 173,
"tweets": 20792,
"listed": 10927,
"createdAt": "Tue Jun 23 14:31:13 +0000 2009",
"canDm": false
}
]
}Error Responses
400 - Missing or invalid id
{ "error": "Missing required query param: id" }{ "error": "id must be a numeric tweet id" }Examples
curl -X GET "https://api.getxapi.com/twitter/tweet/retweeters?id=2059393717111308634" \
-H "Authorization: Bearer API_KEY"const response = await fetch(
"https://api.getxapi.com/twitter/tweet/retweeters?id=2059393717111308634",
{ headers: { Authorization: "Bearer API_KEY" } }
);
const data = await response.json();
console.log(data.user_count, data.users[0]?.userName);import requests
response = requests.get(
"https://api.getxapi.com/twitter/tweet/retweeters",
headers={"Authorization": "Bearer API_KEY"},
params={"id": "2059393717111308634"},
)
data = response.json()
print(data["user_count"], data["users"][0]["userName"])Paginate
curl -X GET "https://api.getxapi.com/twitter/tweet/retweeters?id=2059393717111308634&cursor=eyJpZCI6..." \
-H "Authorization: Bearer API_KEY"